Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453700 - nut: ups resuming power fails to restart computer
Summary: nut: ups resuming power fails to restart computer
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-02 04:10 UTC by Daryl Tester
Modified: 2014-03-17 03:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 10:40:17 UTC


Attachments (Terms of Use)

Description Daryl Tester 2008-07-02 04:10:30 UTC
Description of problem:

If the nut package is installed and a UPS configured, the final part of the
shutdown in file /etc/init.d/halt is supposed to occur (according to nut's
doc/shutdown.txt) as:

if test -f /etc/killpower; then
  /usr/local/ups/bin/upsdrvctl shutdown
  sleep 120
  ...
fi

This commands the UPS to remove power after a number of seconds, which allows
the use of the BIOS option to restart the computer when power is restored
("power on last state").  However, in the supplied init script the sleep command
is missing, so the halt script continues shutting down the computer and powers
the computer off before the UPS has removed the power.  As the last state is now
"powered off", when the power is resumed the computer does not restart, and has
to be manually powered back on, which is difficult for co-located and un-manned
sites.

Version-Release number of selected component (if applicable):
8.76.2-1

How reproducible:


Steps to Reproduce:
1.  Set BIOS to "On AC loss, resume power in last known state".
2.  Attach UPS
3.  Initiate low battery condition with "upsmon -c fsd", or remove power to UPS.
4.  After computer has halted and shut down, restore power.
  
Actual results:
Computer does not restart upon restoration of power.

Expected results:
Computer restarts upon restoration of power.

Additional info:
Manually adding the sleep command to the halt script gives the correct
operation.  Note that UPS drivers typically default to 120 seconds between
shutdown command and removal of power, so there is a slight race here - there
should either be a comment indicating to use shorter shutdown period for the UPS
driver, or set sleep command to 130 seconds.

Comment 1 Bug Zapper 2009-06-10 01:52:51 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-04-27 12:07:44 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 10:40:17 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.